Inconsistent naming in search and output when searching on smart class parameters

02/02/2016 06:52 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: API   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3215

  

Description

As a user I'd like to search /api/smart_class_parameters/ for puppet class name and parameter name so I don't have to iterate all

values.

$ curl -u user -k https://foreman.example.org/api/smart_class_parameters/?search=parameter%3Dapach

e_name

Enter host password for user 'api':

{

  "error": {"message":"Field 'parameter' not recognized for searching!","class":"ScopedSearch::Que

ryNotSupported"}

}

Related issues:

Related to Hammer CLI - Feature #13260: RFE : allowing hammer-cli to search/u... New

Associated revisions

Revision 9734f1f3 - 02/22/2016 10:33 AM - Shlomi Zadok

Fixes #13519 - Alias lookupkey key to parameter

Revision 8c35b65e - 02/24/2016 12:32 PM - Shlomi Zadok

Fixes #13519 - Alias lookupkey key to parameter

(cherry picked from commit 9734f1f395b38a5b4920086bb287ea5857704df3)

History

#1 - 02/02/2016 08:41 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #13260: RFE : allowing hammer-cli to search/update sc-parameters added

#2 - 02/17/2016 03:10 AM - Ori Rabin

Did you try curl -u user -k https://foreman.example.org/api/smart_class_parameters/?search=key%3Dapache_name ?

In the UI it also shows key and not parameter but it searches on the same field.

If this works for you please change this to a bug for inconsistent naming in search and output.

#3 - 02/17/2016 05:47 AM - Ewoud Kohl van Wijngaarden

- Subject changed from Allow searching on smart class parameters to Inconsistent naming in search and output when searching on smart class

parameters

You're right, that does work.

#4 - 02/17/2016 06:58 AM - Ewoud Kohl van Wijngaarden

Ori: do you have a similar trick to search for the puppet class name?
https://foreman.example.org/api/smart_class_parameters/?search=key%3Dapache_name


#5 - 02/17/2016 07:16 AM - Ori Rabin

'puppetclass' should be searchable: smart_class_parameters?search=puppetclass%3Dapache

#6 - 02/21/2016 08:03 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3215 added

#7 - 02/22/2016 10:41 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

#8 - 02/23/2016 04:30 AM - Dominic Cleal

- translation missing: en.field_release set to 71
